# resource builder

## Start with a name...

## property

String
  A string is a thing
Boolean
  A boolean is a thing
Number
  A number is a thing
Array
  An array is a thing
Object
  An object is a thing
Method
  A method is a thing

## options

default
  the default value of the property the value could be "dog" or "cat" the value could be 123 or 432
description
  a description of what the property is
format
  description of format email url
minimum
  the minimum
maximum
  the maximum
enum
  Value must be present in the array of expected value
pattern
  a regex pattern the value is expected satisfy
minLength
  the minimum string length of the value
maxLength
  the maximum string length of the value
conform
  value must conform to a custom validation function
message
  error message to show if option is not satisfied
required
  a value is required for this property
schema
  an optional schema associated with the method signature

#### property

##### property name

##### type

#### description

To begin, please select a type...

##### key

##### value

## Resource

code goes here